export default [
  'strapi::logger',
  'strapi::errors',
  {
    name: 'strapi::security',
    config: {
      contentSecurityPolicy: {
        useDefaults: true,
        directives: {
          'connect-src': ["'self'", 'https:'],
	  'script-src': ["'self'", "'unsafe-inline'", 'api.enderman.ch', 'cdn.jsdelivr.net'],
          'img-src': ["'self'", 'data:', 'blob:', 'api.enderman.ch', 'cdn.jsdelivr.net', 'strapi.io'],
	  'media-src': ["'self'", 'data:', 'blob:', 'api.enderman.ch'],
          upgradeInsecureRequests: null,
        },
      },
    },
  },
  'strapi::cors',
  'strapi::poweredBy',
  'strapi::query',
  'strapi::body',
  'strapi::session',
  'strapi::favicon',
  'strapi::public',
  { resolve: './src/middlewares/redirect' }
];
